commit:     b33e91559e81d77b327fd60034b0fa1fd57e0d0b
Author:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 19 20:26:57 2023 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Mon Jun 19 20:30:05 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b33e9155

media-gfx/mcomix: add 2.1.1

Signed-off-by: Bernard Cafarelli <voyageur <AT> gentoo.org>

 media-gfx/mcomix/Manifest            |  1 +
 media-gfx/mcomix/mcomix-2.1.1.ebuild | 45 ++++++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/media-gfx/mcomix/Manifest b/media-gfx/mcomix/Manifest
index 4630d57f18f4..b7c249d229e1 100644
--- a/media-gfx/mcomix/Manifest
+++ b/media-gfx/mcomix/Manifest
@@ -1 +1,2 @@
 DIST mcomix-2.1.0.tar.gz 517070 BLAKE2B 
71aa67b48ac4cc09f12516312a07c1688e3d9ba086e0af8fab0f22549814fc82841b30965b7ac4e90192086338414c50d253af2d37b158fea8fc2358cee3d3db
 SHA512 
385654c48192c20e285a053a8a90f1e792d58f7adbb0960745f31703d2ff5906f5e5bfd868ebaa08dd27314543a761a255503e5d586edd1baa064ffcea0205ca
+DIST mcomix-2.1.1.tar.gz 517628 BLAKE2B 
fb4d6cb4a10966795156672e8710e264f6e22abeebc3bd9471f378169417a6aab39c705d916624b9c1cd547516ae042d94cf00cf4596242f4655045c305bc630
 SHA512 
699fc1fe2348491ca5f94c9142e8a7432a3afc932aff42187ec57b5026d84ad189700283082fb60f920088747f13cc8f74297feaaab8ce2a5a9bd42d74b7f5e2

diff --git a/media-gfx/mcomix/mcomix-2.1.1.ebuild 
b/media-gfx/mcomix/mcomix-2.1.1.ebuild
new file mode 100644
index 000000000000..551f116a31bc
--- /dev/null
+++ b/media-gfx/mcomix/mcomix-2.1.1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..12} )
+inherit distutils-r1 optfeature xdg
+
+DESCRIPTION="GTK image viewer for comic book archives"
+HOMEPAGE="https://mcomix.sourceforge.net";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+IUSE=""
+
+DEPEND="${PYTHON_DEPS}"
+RDEPEND="${DEPEND}
+       >=dev-python/pillow-6.0.0[${PYTHON_USEDEP}]
+       >=dev-python/pycairo-1.16.0[${PYTHON_USEDEP}]
+       >=dev-python/pygobject-3.36.0[${PYTHON_USEDEP}]
+       media-libs/libjpeg-turbo:0
+       x11-libs/gtk+:3[introspection]"
+BDEPEND="sys-devel/gettext"
+# Most tests are quite old and do not run
+RESTRICT="test"
+
+src_prepare() {
+       default
+
+       # Uncompress man page
+       gunzip mcomix.1.gz || die
+       sed -e "s/mcomix.1.gz/mcomix.1/" -i setup.py || die
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+
+       optfeature "RAR (.cbr) archives" app-arch/unrar
+       optfeature "7Zip archives" app-arch/p7zip
+       optfeature "LHA/LZA archives" app-arch/lha
+       optfeature "PDF files" app-text/mupdf
+}

Reply via email to